"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

LLVMObject subclass:#LLVMDisposableObject
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-S-Internal'
!

!LLVMDisposableObject class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMDisposableObject methodsFor:'initialization & release'!

dispose
   self subclassResponsibility

    "Created: / 08-07-2015 / 22:31:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

finalize
    self address ~~ 0 ifTrue:[ 
        self dispose.
        self setAddress: 0.
    ].

    "Created: / 08-07-2015 / 22:31:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 17-07-2015 / 12:13:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

initialize
    self registerForFinalization

    "Created: / 08-07-2015 / 22:30:16 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

