"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMByteOrdering
	instanceVariableNames:''
	classVariableNames:'LLVMBigEndian LLVMLittleEndian'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMByteOrdering class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMByteOrdering class methodsFor:'initialization'!

initialize

    LLVMBigEndian := 0.
    LLVMLittleEndian := 1.
! !

!LLVMByteOrdering class methodsFor:'constants'!

LLVMBigEndian

    ^LLVMBigEndian
!

LLVMLittleEndian

    ^LLVMLittleEndian
! !


LLVMByteOrdering initialize!
