"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMDiagnosticSeverity
	instanceVariableNames:''
	classVariableNames:'LLVMDSError LLVMDSWarning LLVMDSRemark LLVMDSNote'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMDiagnosticSeverity class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMDiagnosticSeverity class methodsFor:'initialization'!

initialize

    LLVMDSError := 0.
    LLVMDSWarning := 1.
    LLVMDSRemark := 2.
    LLVMDSNote := 3.
! !

!LLVMDiagnosticSeverity class methodsFor:'constants'!

LLVMDSError

    ^LLVMDSError
!

LLVMDSNote

    ^LLVMDSNote
!

LLVMDSRemark

    ^LLVMDSRemark
!

LLVMDSWarning

    ^LLVMDSWarning
! !


LLVMDiagnosticSeverity initialize!
